<main class="col-span-12 mb-col-12 edit-post">
  <div class="bg-white items-center justify-between p15 mb15">

    <a href="/"><?= Translate::get('home'); ?></a> /
    <span class="red-500"><?= sprintf(Translate::get('add.option'), Translate::get('pages')); ?></span>
    
    <form action="<?= getUrlByName('page.create'); ?>" method="post">
      <?= csrf_field() ?>

    <fieldset>
      <label for="post_title"><?= Translate::get('heading'); ?></label>
      <input minlength="6" maxlength="250" id="title" type="text" required="" name="post_title">
      <div class="help">6 - 250 <?= Translate::get('characters'); ?></div>  
    </fieldset>

      <?php if (!empty($data['blog'])) { ?>
        <?= Tpl::import('/_block/form/select/blog', [
          'user'         => $user,
          'data'        => $data,
          'action'      => 'add',
          'type'        => 'blog',
          'title'       => Translate::get('blogs'),
        ]); ?>
      <?php } ?>

      <?php if (UserData::checkAdmin()) { ?>
        <?= Tpl::import('/_block/form/select/section', [
          'user'           => $user,
          'data'          => $data['facets'],
          'type'          => 'section',
          'action'        => 'add',
          'title'         => Translate::get('section'),
          'help'          => Translate::get('necessarily'),
          'red'           => 'red'
        ]); ?>
      <?php } ?>

      <?= Tpl::import('/_block/editor/editor', [
        'type'      => 'post',
        'height'    => '350px',
        'preview'   => 'vertical',
        'user'       => $user,
      ]); ?>

      <?= sumbit(Translate::get('create')); ?>
    </form>
  </div>
</main>